package org.eclipse.cosmos.rm.validation.internal.sml;

import java.io.File;
import java.util.Properties;

import junit.framework.Test;
import junit.framework.TestSuite;


public class SMLValidationTestSuite {
	protected static final String RESOURCES = "src"+File.separator +"test-resources";
	protected static final String EXPECTED_RESULTS = "src"+File.separator +"expected-results";
		
	protected static final String INPUTEXTS = ".xml";
	protected String fixedDir;
	protected String workspaceDir;
	protected TestSuite suite;

	public SMLValidationTestSuite(TestSuite suite) {
		super();
		this.suite = suite;
	}


	public static Test suite( )
	{
		TestSuite suite = new TestSuite( "Test for SML Validator" );
		SMLValidationTestSuite processSuite =  new SMLValidationTestSuite(suite);
		try {
			processSuite.process();
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return suite;
	}
	
	
	protected void processDir(File dir, String dirName, String expectedResult) throws Exception{
		File[] files = dir.listFiles();
		
		for (int x = 0; x < files.length; x++){
			File file = files[x];
			if (file.isDirectory()){
				processDir(file, dirName+File.separator+file.getName(), expectedResult);
			}
			else if (file.getName().endsWith(INPUTEXTS)){
				String fileName = file.getName();
				fileName = fileName.substring(0, fileName.length()-(INPUTEXTS.length()));
				suite.addTest(new SMLBasicValidation(file.getAbsolutePath(), expectedResult));
			}
		}
        
                
	}	
	
	public void process( ) throws Exception
	{
		Properties p = System.getProperties();
		
		fixedDir = File.separator+"testcases"+File.separator;
		workspaceDir = (String)p.get("user.dir");
		File inputDir = new File(workspaceDir+File.separator+RESOURCES);

		processDir(inputDir, "", workspaceDir+File.separator+EXPECTED_RESULTS);
	}		
}
